import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class GainsNetworkContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    gainsNetworkGToken({ address, network }: ContractOpts): import("./ethers").GainsNetworkGToken;
    gainsNetworkLockedDepositNft({ address, network }: ContractOpts): import("./ethers").GainsNetworkLockedDepositNft;
    gainsNetworkStaking({ address, network }: ContractOpts): import("./ethers").GainsNetworkStaking;
}
export type { GainsNetworkGToken } from './ethers';
export type { GainsNetworkLockedDepositNft } from './ethers';
export type { GainsNetworkStaking } from './ethers';
